# Products booking

Operations on EGYM products. Currently available products are EGYM Smart Strength (Machine Admission) and EGYM+

## Retrieve user activated products

 - [GET /api/v2/accounts/{accountId}/products](https://developer.egym.com/mms-api-v2/apis/mms-v2/products-booking/userproducts.md): Returns a list of products that are activated for the specified user and gym and are active now or in the future.

## Activate a product or update product booking

 - [PUT /api/v2/accounts/{accountId}/products](https://developer.egym.com/mms-api-v2/apis/mms-v2/products-booking/productbooking.md): This endpoint activates or updates a product for a user in a gym. The product is active starting from the specified start date to the end date in Timezone of the club.

## Retrieve gym products

 - [GET /api/v2/products](https://developer.egym.com/mms-api-v2/apis/mms-v2/products-booking/listgymproducts.md): Returns a list of products that are available in the gym and can be activated for a user.

## Product details

 - [GET /api/v2/products/{productId}](https://developer.egym.com/mms-api-v2/apis/mms-v2/products-booking/productdetails.md): Returns the details of a specific product.

## Deactivate a product

 - [DELETE /api/v2/accounts/{accountId}/products/{productId}](https://developer.egym.com/mms-api-v2/apis/mms-v2/products-booking/deactivateuserproduct.md): This endpoint deactivates a product for a user in a gym.

